> ## Documentation Index
> Fetch the complete documentation index at: https://www.artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Kafka metrics graphs

> Retrieves broker, topic, partition, and per-broker CPU user/system metrics for a Strimzi Kafka cluster.

`GET /kafka-clusters/{uuid}/metrics-graph`

## Authorization

* `Authorization` (header): API key passed as a Bearer token in the Authorization header.

## Path parameters

* `uuid` (string, required)

## Query parameters

* `from` (string, required)
* `to` (string, required)

## Example request

```bash
curl --request GET \
  --url 'https://api.artie.com/kafka-clusters/{uuid}/metrics-graph?from=<from>&to=<to>' \
  --header 'Authorization: Bearer <token>'
```

## Responses

### 200 OK

* `brokerCount` (object[] | null, required)
  * `label` (string, required)
  * `points` (object[] | null, required)
    * `timestamp` (string<date-time>, required)
    * `value` (number<double>, required)
* `cpuSystem` (object[] | null, required)
  * `label` (string, required)
  * `points` (object[] | null, required)
    * `timestamp` (string<date-time>, required)
    * `value` (number<double>, required)
* `cpuUser` (object[] | null, required)
  * `label` (string, required)
  * `points` (object[] | null, required)
    * `timestamp` (string<date-time>, required)
    * `value` (number<double>, required)
* `memoryUsage` (object[] | null, required)
  * `label` (string, required)
  * `points` (object[] | null, required)
    * `timestamp` (string<date-time>, required)
    * `value` (number<double>, required)
* `partitionCount` (object[] | null, required)
  * `label` (string, required)
  * `points` (object[] | null, required)
    * `timestamp` (string<date-time>, required)
    * `value` (number<double>, required)
* `reason` (string)
* `supported` (boolean, required)
* `topicCount` (object[] | null, required)
  * `label` (string, required)
  * `points` (object[] | null, required)
    * `timestamp` (string<date-time>, required)
    * `value` (number<double>, required)
* `unit` (string, required)

```json
{
  "brokerCount": [
    {
      "label": "<string>",
      "points": [
        {
          "timestamp": "2023-11-07T05:31:56Z",
          "value": 123
        }
      ]
    }
  ],
  "cpuSystem": [
    {
      "label": "<string>",
      "points": [
        {
          "timestamp": "2023-11-07T05:31:56Z",
          "value": 123
        }
      ]
    }
  ],
  "cpuUser": [
    {
      "label": "<string>",
      "points": [
        {
          "timestamp": "2023-11-07T05:31:56Z",
          "value": 123
        }
      ]
    }
  ],
  "memoryUsage": [
    {
      "label": "<string>",
      "points": [
        {
          "timestamp": "2023-11-07T05:31:56Z",
          "value": 123
        }
      ]
    }
  ],
  "partitionCount": [
    {
      "label": "<string>",
      "points": [
        {
          "timestamp": "2023-11-07T05:31:56Z",
          "value": 123
        }
      ]
    }
  ],
  "reason": "<string>",
  "supported": true,
  "topicCount": [
    {
      "label": "<string>",
      "points": [
        {
          "timestamp": "2023-11-07T05:31:56Z",
          "value": 123
        }
      ]
    }
  ],
  "unit": "<string>"
}
```

### 400 Bad Request

### 404 Not Found

### 500 Internal Server Error

### 502 Bad Gateway